--[[
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

Copyright 2014 www.tgft.org

User may remove or add buttons as one sees fit. On an Android 10 inch tablet screen 8 button fit nicely below the central info on the default VO HUD.

iup.stationbutton {title = 'BUTTON TITLE', action = function(self) gkinterface.GKProcessCommand('USER COMMAND') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

This was primarily developed to address a shortage of input buttons available to VO players using Mobile client a gamepad and implementing screen cast to either a television or monitor while Advanced Options Touch Interface is set 'off' to de-clutter the screen of touch controls not used. HUD|HUB represents a demonstration piece as is, rudimentary yet functional. To define button Title and input command change the value's 'BUTTON TITLE' and 'USER COMMAND' for each button entry bellow as depicted above. Two buttons have been set the first 'EVADE' requires NavComp plugin to function and is mainly to show the possibility of modifying the individual buttons. 'Navigation' the second defined button opens the PDA Navigation Tab. It is important that the final button 'Close" be left as some game pad buttons are reassigned from flight controls to dialog navigation. This will cause a loss of control for certain aspects of flight, the 'Close' button allows for a return to the pilot view and full flight control imidiatly. While the HUD|HUB popup dialog is shown the left thumb stick manipulates the mouse cursor, DPadUP/Down will cycle threw the buttons and Cross will select as tested on a Sony DualShock4 gamepad.

The plain text file can be modified via any text editor. Once the user defined values have been defined save the file as main.lua within the HUD|HUB folder. The plugin will now be ready for use, if it is not all ready inside the Vendetta files plugins folder copy the entire HUD|HUB folder there and enjoy. Thank you.

]]

-- HUD|HUB opens a popup dialog in HUD.
declare('hudhub', hudhub or {})

-- This is an alpha release. Untested version. Expect stress loss of data and property damage.
local version = '0.0.1a'

-- UI HUD location can be: iup.(TOP, BOTTOM, LEFT, RIGHT, CENTER).
local HORIZONTAL = iup.CENTER
local VERTICAL = iup.BOTTOM

-- UI is simple popup dialog box with defined buttons.
function hudhub.dialog()
hudhub.popup = iup.dialog { 
iup.vbox {iup.label {title = '* HUD|HUB *', expand = 'HORIZONTAL', alignment = 'ACENTER',},

-- The UI popup dialog button defenitions.
iup.stationbutton {title = 'EVADE', action = function(self) gkinterface.GKProcessCommand('evade') hudhub.popup:hide()
end, fgcolor = "255 0 0 155&", expand = 'HORIZONTAL',},

iup.stationbutton {title = 'Navigation', action = function(self) gkinterface.GKProcessCommand('nav') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

iup.stationbutton {title = 'Title', action = function(self) gkinterface.GKProcessCommand('Command') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

iup.stationbutton {title = 'Title', action = function(self) gkinterface.GKProcessCommand('Command') hudhub.popup:hide()
end, expand = 'HORIZONTAL',}, 

iup.stationbutton {title = 'Title', action = function(self) gkinterface.GKProcessCommand('Command') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

iup.stationbutton {title = 'Title', action = function(self) gkinterface.GKProcessCommand('Command') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

iup.stationbutton {title = 'Title', action = function(self) gkinterface.GKProcessCommand('Command') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

iup.stationbutton {title = 'Title', action = function(self) gkinterface.GKProcessCommand('Command') hudhub.popup:hide()
end, expand = 'HORIZONTAL',},

--UI popup dialog configurations.
iup.stationbutton {title = 'Close', action = function(self)
hudhub.popup:hide() end, expand = 'HORIZONTAL',},},}
hudhub.popup.bgcolor = '0 0 0 50 *'
hudhub.popup.border = 'YES'
hudhub.popup.resize = 'NO'
hudhub.popup.maxbox = 'NO'
hudhub.popup.minbox = 'NO'
hudhub.popup.menubox = 'NO'
hudhub.popup.fullscreen = 'NO'
hudhub.popup.topmost = 'YES'
hudhub.popup.active = 'YES'
hudhub.popup:showxy(HORIZONTAL, VERTICAL)
end

-- Use /hudhub to open UI dialog.
RegisterUserCommand("hudhub", hudhub.dialog)

--The End
